# Interface IFacetSearchRequest

A Search API facet search request.

## Index

### Properties

- basePath
- captions
- delimitingCharacter
- field
- ignorePaths
- ignoreValues
- numberOfValues
- query
- searchContext
- type

## Properties

### Optional basePath

basePath: string[]

- Defined in rest/Facet/FacetSearchRequest.ts :95

The base path shared by all values for the facet.

Note: This parameter has no effect unless the facet `type` is `hierarchical`.

### Optional captions

captions: Record<string, string>

- Defined in rest/Facet/FacetSearchRequest.ts :63

A dictionary that maps index field values to facet value display names.

Example

> `{"acme_productA": "ACME Product A", "acme_productB": "ACME Product B"}`

### Optional delimitingCharacter

delimitingCharacter: string

- Defined in rest/Facet/FacetSearchRequest.ts :89

The character to use to split field values into a hierarchical sequence.

Example:

For a multi-value field containing the following values:

    c; c>folder2; c>folder2>folder3;

The delimiting character is `>`.

For a hierarchical field containing the following values:

    c;folder2;folder3;

The delimiting character is `;`.

Default: `;`

### field

field: string

- Defined in rest/Facet/FacetSearchRequest.ts :24

The name of the field against which to execute the facet search request.

### Optional ignorePaths

ignorePaths: String[][]

- Defined in rest/Facet/FacetSearchRequest.ts :42

A list of paths to filter out from the hierarchical facet search results.

Example: `[["Electronics", "Entertainment", "Gaming Consoles"],["Appliances", "Kitchen"]]`

### Optional ignoreValues

ignoreValues: String[]

- Defined in rest/Facet/FacetSearchRequest.ts :36

A list of index field values to filter out from the facet search results.

Example: `["blue", "green"]`

### Optional numberOfValues

numberOfValues: number

- Defined in rest/Facet/FacetSearchRequest.ts :48

The maximum number of facet values to fetch.

Default (Search API): `10`

### Optional query

query: string

- Defined in rest/Facet/FacetSearchRequest.ts :56

The string to match.

Typically, the text entered by the end-user in the facet search box, to which one or more wildcard characters (`*`) may be added.

Example: `"*oran*"`

### Optional searchContext

searchContext: IQuery

- Defined in rest/Facet/FacetSearchRequest.ts :69

The query parameters representing the current state of the search interface.

See the query documentation.

### Optional type

type: FacetSearchType

- Defined in rest/Facet/FacetSearchRequest.ts :30

The kind of facet values against which the search request is being made.

Default: `specific`

### Hierarchy

- IFacetSearchRequest